﻿using igGrid_Sample.Models;
using Infragistics.Web.Mvc;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;

namespace igGrid_Sample.Controllers
{
    public class HomeController : Controller
    {
        public List<Customer> data = new List<Customer>();
        public static string email = "";

        /* Helper function which replaces work with database objects  */
        public void SetCustomers() 
        {
            data.Add(new Customer() { Email = "jessii@mail33.com", CustomerId = 1,  Age = 24, Name = "Jesy Ben" });
            data.Add(new Customer() { Email = "morri14@mailbox5.ru", CustomerId = 2,  Age = 36, Name = "Morris Stanovski" });
            data.Add(new Customer() { Email = "dobsi@34mailbox.com", CustomerId = 3,  Age = 32, Name = "Debora Beever" });
            data.Add(new Customer() { Email = "joseph@nazmail.je", CustomerId = 4,  Age = 34, Name = "Joseph Jackob" });
            data.Add(new Customer() { Email = "sarah@hanaan.ot", CustomerId = 5,  Age = 28, Name = "Sarah Tamar" });
 
        }

        public ActionResult Index()
        {
            // paste here database queries by using the input variable and pass the to the view
            // in this scenario email is used as a possible unique identifier
            SetCustomers(); // It may be replaced with fetching records from database
            return View(data.AsQueryable());          
        }

        public ActionResult ComposeDetails(string em)
        {
            email = em;
            return RedirectToAction("DisplayDetails");
        }

        public ActionResult DisplayDetails() 
        {
            // Body of this method is not executed since it is called by AJAX function
            
            return View();
        }

        [GridDataSourceAction]
        [ActionName("PagingGetData")]
        public ActionResult PagingGetData()
        {
            SetCustomers(); // It may be replaced with fetching records from database
            return View("Index", data.AsQueryable());
        }

    }
}
